Bug 165796 - Delete functionality lost in kuickshow imagewindow with kde-3.4
Delete functionality lost in kuickshow imagewindow with kde-3.4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdegraphics (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-12 07:12 EDT by Anton A.Korzh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: kdegraphics-3.5.1-0.1.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 17:34:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anton A.Korzh 2005-08-12 07:12:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc3 Firefox/1.0.6

Description of problem:
kuickshow in fc3 and fc4 when using kde-3.4
delete and shift-delete functionality is lost in imagewindow, while in filewindow everything is fine.

a bug also described in http://bugs.kde.org/show_bug.cgi?id=101848

solution i found, is fixing typo in kuickshow source:

diff -urN kuickshow/src/kuickshow.cpp kuickshowfixed/src/kuickshow.cpp
--- kuickshow/src/kuickshow.cpp 2005-02-06 23:58:13.000000000 +0300
+++ kuickshowfixed/src/kuickshow.cpp    2005-08-12 12:39:23.000000000 +0400
@@ -834,7 +834,7 @@
                 item_next = fileWidget->getPrevious( false );
             }

-            else if ( fileWidget->actionCollection()->action("delete")->shortcut().contains( key ))
+            else if ( fileWidget->actionCollection()->action("delete")->shortcut().contains( kkey ))
             {
 //      KFileItem *cur = fileWidget->getCurrentItem( false );
                 (void) fileWidget->getCurrentItem( false ); 

hope you ll fix it in further releases.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start kuickshow
2. double click any image to open imagewindow
3.press delete or shift-delete
  

Actual Results:  nothing happens

Expected Results:  image should be deleted and next (if exists) should be shown.

i prefer kuickshow to close imagewindow, if there was deleted last image from current list, but thats another story, requyring more code changes, not related to fixing this bug


Additional info:
Comment 1 Dawid Gajownik 2006-02-03 17:34:52 EST
(In reply to comment #0)
> delete and shift-delete functionality is lost in imagewindow, while in
filewindow everything is fine.

Fixed in kdegraphics-3.5.1-0.1.fc4. Unfortunately, image deletion turnes off
fullscreen mode...

Note You need to log in before you can comment on or make changes to this bug.